#pragma once
#include "C_WorldEntity.h"

class C_Scenery :
	public C_WorldEntity
{
public:
	C_Scenery(const int &ID, const float &pX, const float &pY, const int &h, const int &cF, const int &ht,
		const int &w, const int &s, const int &cV, const int &sr = 0);
	~C_Scenery();

	// accessor and mutator functions
	const int getScrollRate() const {return scrollRate;}
	void setScrollRate(const int &newScrollRate);
	const int getScrollOffset() const {return scrollOffset;}
	void setScrollOffset(const int &newScrollOffset);

	// member functions
	void render(const float &currentTime);
	void update();
private:
	int scrollRate;
	int scrollOffset;
};
