// created by Josh Heyde
// last updated 25/01/09

#pragma once

class C_Rectangle
{
public:
	C_Rectangle(const int &l, const int &r, const int &t, const int &b);
	C_Rectangle();
	~C_Rectangle();
	int getWidth() const;
	int getHeight() const;
	bool allInternal(const C_Rectangle &destRect, const int &posX, const int &posY) const;
	bool allExternal(const C_Rectangle &destRect, const int &posX, const int &posY) const;
	void clip(const C_Rectangle &destRect);

	// overloading the assignment operator
	void operator = (const C_Rectangle& r); 
// data members
	int left;
	int right;
	int top;
	int bottom;
};
