// created by Josh Heyde
// last updated 25/01/09

#include <HAPI_lib.h>
#include "C_World.h"

void HAPI_Main()
{
	 WORLD.createWorld();

	 // initialises the world
	 if(!WORLD.initialise())
		 return;

	 // loads the initial data
	 WORLD.loadData();

	 // main loop
     while(HAPI->Update())
	 { 
		 WORLD.update();
	 }

	 // clearing up
	 WORLD.deleteWorld();
}